Bug 1752225 - [abrt] remmina: rcw_get_visible_cnnobj(): remmina killed by SIGSEGV
Summary: [abrt] remmina: rcw_get_visible_cnnobj(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:37ebce896a61a8b51af11d07468...
: 1797173 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-14 20:08 UTC by Marcio
Modified: 2020-02-24 01:04 UTC (History)
4 users (show)

Fixed In Version: remmina-1.3.10-1.fc31 remmina-1.3.10-1.fc30 remmina-1.3.10-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 01:14:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.53 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: cgroup (341 bytes, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: core_backtrace (8.97 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: cpuinfo (1.52 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: dso_list (13.95 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: environ (1.33 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: exploitable (127 bytes, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: limits (1.29 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: maps (89.17 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: mountinfo (4.79 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: open_fds (1.33 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details
File: var_log_messages (256 bytes, text/plain)
2019-09-14 20:09 UTC, Marcio
no flags Details

Description Marcio 2019-09-14 20:08:58 UTC
Version-Release number of selected component:
remmina-1.3.5-2.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: rcw_get_visible_cnnobj
executable:     /usr/bin/remmina
journald_cursor: s=080614fb506d4ea3bb2d5543b69e67eb;i=2031655;b=94541947ac014645860e93635d7caa10;m=3f969d6ff;t=59288cb6027eb;x=f690cae7e0157a8f
kernel:         5.2.13-200.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 rcw_get_visible_cnnobj at /usr/src/debug/remmina-1.3.5-2.fc30.x86_64/src/rcw.c:369
 #1 rcw_grab_focus at /usr/src/debug/remmina-1.3.5-2.fc30.x86_64/src/rcw.c:2817
 #2 rco_delayed_window_present at /usr/src/debug/remmina-1.3.5-2.fc30.x86_64/src/rcw.c:3598
 #8 g_main_context_iteration at ../glib/gmain.c:3988
 #9 g_application_run at ../gio/gapplication.c:2519

Comment 1 Marcio 2019-09-14 20:09:01 UTC
Created attachment 1615180 [details]
File: backtrace

Comment 2 Marcio 2019-09-14 20:09:02 UTC
Created attachment 1615181 [details]
File: cgroup

Comment 3 Marcio 2019-09-14 20:09:04 UTC
Created attachment 1615182 [details]
File: core_backtrace

Comment 4 Marcio 2019-09-14 20:09:05 UTC
Created attachment 1615183 [details]
File: cpuinfo

Comment 5 Marcio 2019-09-14 20:09:06 UTC
Created attachment 1615184 [details]
File: dso_list

Comment 6 Marcio 2019-09-14 20:09:08 UTC
Created attachment 1615185 [details]
File: environ

Comment 7 Marcio 2019-09-14 20:09:09 UTC
Created attachment 1615186 [details]
File: exploitable

Comment 8 Marcio 2019-09-14 20:09:10 UTC
Created attachment 1615187 [details]
File: limits

Comment 9 Marcio 2019-09-14 20:09:12 UTC
Created attachment 1615188 [details]
File: maps

Comment 10 Marcio 2019-09-14 20:09:13 UTC
Created attachment 1615189 [details]
File: mountinfo

Comment 11 Marcio 2019-09-14 20:09:14 UTC
Created attachment 1615190 [details]
File: open_fds

Comment 12 Marcio 2019-09-14 20:09:15 UTC
Created attachment 1615191 [details]
File: proc_pid_status

Comment 13 Marcio 2019-09-14 20:09:16 UTC
Created attachment 1615192 [details]
File: var_log_messages

Comment 14 Gwendal 2019-09-23 16:54:35 UTC
Similar problem has been detected:

I tried to connect to a vnc server

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        remmina
crash_function: rcw_get_visible_cnnobj
executable:     /usr/bin/remmina
journald_cursor: s=e48ae32c0dda4dc99398ccd1a88a9d8a;i=9c33b;b=83d22cbf1f56442b823dee0cd1d674f5;m=11596108f;t=5933b18caa1ef;x=c9b125f0bfbd90f
kernel:         5.2.15-200.fc30.x86_64
package:        remmina-1.3.6-1.fc30
reason:         remmina killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Yura 2020-02-01 08:17:44 UTC
*** Bug 1797173 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2020-02-08 16:54:00 UTC
FEDORA-2020-2404c9ff3b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 17 Fedora Update System 2020-02-08 17:07:13 UTC
FEDORA-EPEL-2020-e3426f6e51 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3426f6e51

Comment 18 Fedora Update System 2020-02-09 01:21:10 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-483cbdf643

Comment 19 Fedora Update System 2020-02-09 01:46:58 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 20 Fedora Update System 2020-02-09 01:48:08 UTC
guacamole-server-1.1.0-1.el7, remmina-1.3.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3426f6e51

Comment 21 Fedora Update System 2020-02-11 01:14:02 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-02-17 01:26:24 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-02-24 01:04:58 UTC
guacamole-server-1.1.0-1.el7, remmina-1.3.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.